From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/efitools/
Date: Fri, 8 Jun 2018 01:28:35 +0000 (UTC) [thread overview]
Message-ID: <1528421306.ed1d845779b056dd89930a60f0b522b512b60729.bman@gentoo> (raw)
commit: ed1d845779b056dd89930a60f0b522b512b60729
Author: Edward Hyunkoo Jee <edjee <AT> google <DOT> com>
AuthorDate: Wed May 30 23:28:37 2018 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Fri Jun 8 01:28:26 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed1d8457
app-crypt/efitools: support "static" USE flag
If "static" USE flag is set, it makes sense to do static link for
user-space executables.
app-crypt/efitools/efitools-1.8.1.ebuild | 17 ++++++++++++++---
1 file changed, 14 insertions(+), 3 deletions(-)
diff --git a/app-crypt/efitools/efitools-1.8.1.ebuild b/app-crypt/efitools/efitools-1.8.1.ebuild
index d27b90b2cbc..3e25812bea2 100644
--- a/app-crypt/efitools/efitools-1.8.1.ebuild
+++ b/app-crypt/efitools/efitools-1.8.1.ebuild
@@ -12,15 +12,21 @@ SRC_URI="https://git.kernel.org/pub/scm/linux/kernel/git/jejb/efitools.git/snaps
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="libressl"
+IUSE="libressl static"
-RDEPEND="!libressl? ( dev-libs/openssl:0= )
- libressl? ( dev-libs/libressl:0= )
+LIB_DEPEND="!libressl? ( dev-libs/openssl:0=[static-libs(+)] )
+ libressl? ( dev-libs/libressl:0=[static-libs(+)] )"
+
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )
sys-apps/util-linux"
DEPEND="${RDEPEND}
app-crypt/sbsigntool
dev-perl/File-Slurp
+ static? (
+ ${LIB_DEPEND}
+ dev-util/pkgconfig
+ )
sys-apps/help2man
sys-boot/gnu-efi
virtual/pkgconfig"
@@ -31,6 +37,11 @@ PATCHES=(
)
src_prepare() {
+ if use static; then
+ append-ldflags -static
+ sed -i 's/-lcrypto/`pkg-config --static --libs libcrypto`/g' Makefile || die
+ fi
+
# Respect users CFLAGS
sed -i -e 's/CFLAGS.*= -O2 -g/CFLAGS += /' Make.rules || die
next reply other threads:[~2018-06-08 1:28 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-06-08 1:28 Aaron Bauman [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-06-22 1:53 [gentoo-commits] repo/gentoo:master commit in: app-crypt/efitools/ Sam James
2023-01-04 4:32 Sam James
2022-12-25 21:24 Sam James
2022-12-25 21:24 Sam James
2022-07-24 8:37 David Seifert
2021-06-28 1:35 Sam James
2021-06-27 18:25 Matthias Maier
2021-05-02 17:22 Mikle Kolyada
2020-09-26 14:33 Aaron Bauman
2019-08-05 11:44 Mikle Kolyada
2018-07-23 16:20 Matthias Maier
2018-06-08 13:06 Aaron Bauman
2018-06-08 7:11 Mikle Kolyada
2018-06-08 1:28 Aaron Bauman
2018-04-23 15:16 Aaron Bauman
2018-04-20 14:29 Michał Górny
2017-02-13 22:52 Robin H. Johnson
2016-06-26 17:03 Michał Górny
2016-06-03 9:05 Anthony G. Basile
2016-05-08 20:10 Paweł Hajdan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1528421306.ed1d845779b056dd89930a60f0b522b512b60729.bman@gentoo \
--to=bman@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox